{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":478,"path":"api-reference/rest-apis/c_IdentifyReconcileAPI.md","title":"Identification and Reconciliation API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Identification and Reconciliation API\n\nThe Identification and Reconciliation API provides endpoints that use the Identification and Reconciliation engine \\(IRE\\) to minimize creation of duplicate Configuration Items \\(CIs\\) and to reconcile CI attributes by only accepting information from authorized sources when updating the Configuration Management Database \\(CMDB\\).\n\nUsers must have the itil or asset role to use this API.\n\nFor more information on the IRE, see [Identification and Reconciliation engine \\(IRE\\)](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/servicenow-platform/ire.md).\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Identification and Reconciliation - POST /now/identifyreconcile\n\nInserts or updates configuration items \\(CIs\\) in the CMDB by applying identification and reconciliation rules to the specified payload \\(request body\\). Use this API instead of updating the CMDB directly.\n\nUse the [Identification and Reconciliation - POST /now/identifyreconcile/query](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/c_IdentifyReconcileAPI.md) endpoint to simulate submission of a payload to this endpoint without committing changes to the database.\n\nUse the [Identification and Reconciliation - POST /now/identifyreconcile/enhanced](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/c_IdentifyReconcileAPI.md) endpoint instead if you need to specify Enhanced IRE options. For more on Enhanced IRE options, see [Identification and Reconciliation engine \\(IRE\\)](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/servicenow-platform/ire.md).\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/identifyreconcile`\n\nDefault URL: `/api/now/identifyreconcile`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_data\\_source\n\n</td><td>\n\nSource of the CI information. This must be one of the choice values defined for the discovery\\_source field of the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\nDefault: Insert the API payload into the incomplete payloads table.\n\n</td></tr></tbody>\n</table><table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nitems\n\n</td><td>\n\nList of CIs to create or update.Data type: Array of Objects\n\n```\n\"items\": [\n  {\n    \"className\": \"String\",\n    \"internal_id\": \"String\",\n    \"lookup\": [Array],\n    \"related\": [Array],\n    \"settings\": {Object},\n    \"sys_object_source_info\": {Object},\n    \"values\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nitems.className\n\n</td><td>\n\nRequired. The sys\\_class\\_name \\(class/table name\\) of the CI to create or update. This value can be any CMDB table, such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_win\\_server.Data type: String\n\n</td></tr><tr><td>\n\nitems.internal\\_id\n\n</td><td>\n\nUnique identifier for this item in this payload. Can be any value, but must be unique within the payload.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup\n\n</td><td>\n\nArray of objects in which each object describes a lookup-based identification record. These records are used to identify the top-level configuration item based on a lookup table that has a reference back to the Configuration Item \\[cmdb\\_ci\\] table.Data type: Array off Objects\n\n```\n\"lookup\": [\n  {\n    \"className\": \"String\",\n    \"internal_id\": \"String\",\n    \"sys_object_source_info\": {Object},\n    \"values\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nitems.lookup.className\n\n</td><td>\n\nRequired. The sys\\_class\\_name or class/table name of the CI to create or update. This value can be any CMDB class/table, such as cmdb\\_serial\\_number or cmdb\\_ci\\_network\\_adapter, or a non-CMDB hierarchy class.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.internal\\_id\n\n</td><td>\n\nUnique identifier for this lookup record in this payload. Can be any value, but must be unique within the payload.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info\n\n</td><td>\n\nObject describing a unique CI identifier for a specified data source. Different sources may have different name-value pairs for the same CI.Data type: Object\n\n```\n\"sys_object_source_info\": {\n  \"source_feed\": \"String\",\n  \"source_name\": \"String\",  \n  \"source_native_key\": \"String\",\n  \"source_recency_timestamp\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info.source\\_feed\n\n</td><td>\n\nName that uniquely identifies the feed sending this CI. Use if the source can have multiple feeds.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info.source\\_name\n\n</td><td>\n\nData source for the CI information. This value must be one of the choice values defined for the discovery\\_source field of the Configuration Item \\[cmdb\\_ci\\] table. Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info.source\\_native\\_key\n\n</td><td>\n\nUnique key/id from the source for the CI. Can be any string that is unique to the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info.source\\_recency\\_timestamp\n\n</td><td>\n\nUTC date and time that the CI was scanned.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nitems.lookup.values\n\n</td><td>\n\nObject describing fields for this lookup item as name/value pairs, where the name is the field name.Data type: Object\n\nField names and types depend on the fields selected by the user, such as:\n\n```\n\"values\": {\n  \"ip_address\": \"String\",\n  \"mac_address\": \"String\",\n  \"serial_number\": \"String\",\n  \"serial_number_type\": \"String\",\n  \"valid\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.related\n\n</td><td>\n\nArray of objects in which each object describes an item record to create or update, based on a related table that has a reference to the top-level CI that is being identified. Rules in the Related Entry \\[cmdb\\_related\\_entry\\] table define what type of records can be in this array.The related table may or may not extend the Configuration Item \\[cmdb\\_ci\\] table. These records are not used to identify the configuration item.\n\nData type: Array of Objects\n\n```\n\"related\": [\n  {\n    \"className\": \"String\",\n    \"internal_id\": \"String\",\n    \"sys_object_source_info\": {Object},\n    \"values\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nitems.related.className\n\n</td><td>\n\nRequired. The sys\\_class\\_name or class/table name of the related item to create or update.Data type: String\n\n</td></tr><tr><td>\n\nitems.related.internal\\_id\n\n</td><td>\n\nUnique identifier for this related item in this payload. Can be any value, but must be unique within the payload.Data type: String\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info\n\n</td><td>\n\nObject describing a unique CI identifier for a specified data source. Different sources may have different name-value pairs for the same CI.Data type: Object\n\n```\n\"sys_object_source_info\": {\n  \"source_feed\": \"String\",\n  \"source_name\": \"String\",  \n  \"source_native_key\": \"String\",\n  \"source_recency_timestamp\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info.source\\_feed\n\n</td><td>\n\nName that uniquely identifies the feed sending this related item. Use if the source can have multiple feeds.Data type: String\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info.source\\_name\n\n</td><td>\n\nData source for the related item information. This value must be one of the choice values defined for the discovery\\_source field of the Configuration Item \\[cmdb\\_ci\\] table. Data type: String\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info.source\\_native\\_key\n\n</td><td>\n\nUnique key/id from the source for the related item. Can be any string that is unique to the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info.source\\_recency\\_timestamp\n\n</td><td>\n\nUTC date and time that the related item was scanned.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nitems.related.values\n\n</td><td>\n\nObject describing fields to create or update for this related item as name/value pairs, where the name is the field name. For a reference field, the value must be the referenced sys\\_id.Data type: Object\n\nField names and types depend on the fields selected by the user, such as:\n\n```\n\"values\": {\n  \"host_name\": \"String\",\n  \"ip_address\": \"String\",\n  \"name\": \"String\",\n  \"os_name\": \"String\",\n  \"sys_class_name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.settings\n\n</td><td>\n\nObject containing parameters defining the types of updates that are permitted.Data type: Object\n\n```\n\"settings\": {\n  \"skipReclassificationRestrictionRules\": Boolean,\n  \"updateWithoutDowngrade\": Boolean,\n  \"updateWithoutSwitch\": Boolean,\n  \"updateWithoutUpgrade\": Boolean\n}\n```\n\n</td></tr><tr><td>\n\nitems.settings.skipReclassificationRestrictionRules\n\n</td><td>\n\nFlag that indicates whether IRE should skip running the Reclassification Restriction rule that matches the class for the payload item.Valid values:\n\n-   true: Skip running the rule.\n-   false: Run the rule.\n\nDefault: false\n\n</td></tr><tr><td>\n\nitems.settings.updateWithoutDowngrade\n\n</td><td>\n\nFlag that indicates whether update and downgrade are both permitted for this CI.Valid values:\n\n-   true: Update the item but downgrade is not permitted.\n-   false: Both item update and downgrade are permitted.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nitems.settings.updateWithoutSwitch\n\n</td><td>\n\nFlag that indicates whether this CI can be updated and its class switched.Valid values:\n\n-   true: Update the item but class switching is not permitted.\n-   false: Both item update and class switching are permitted.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nitems.settings.updateWithoutUpgrade\n\n</td><td>\n\nFlag that indicates whether update and upgrade are both permitted for this CI.Valid values:\n\n-   true: Update the item but upgrade is not permitted.\n-   false: Both item update and upgrade are permitted.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info\n\n</td><td>\n\nObject describing a unique CI identifier.Data type: Object\n\n```\n\"sys_object_source_info\": {\n  \"source_feed\": \"String\",\n  \"source_name\": \"String\",  \n  \"source_native_key\": \"String\",\n  \"source_recency_timestamp\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info.source\\_feed\n\n</td><td>\n\nName that uniquely identifies the feed sending this CI. Use if the source can have multiple feeds.Data type: String\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info.source\\_name\n\n</td><td>\n\nData source for the CI information. This value must be one of the choice values defined for the discovery\\_source field of the Configuration Item \\[cmdb\\_ci\\] table. Data type: String\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info.source\\_native\\_key\n\n</td><td>\n\nUnique key/id from the source for the CI. Can be any string that is unique to the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info.source\\_recency\\_timestamp\n\n</td><td>\n\nUTC date and time that the CI was scanned.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nitems.values\n\n</td><td>\n\nObject describing fields to create or update for this CI as name/value pairs, where the name is the field name. For a reference field, the value must be the referenced sys\\_id.Data type: Object\n\nField names and types depend on the fields selected by the user, such as:\n\n```\n\"values\": {\n  \"host_name\": \"String\",\n  \"ip_address\": \"String\",\n  \"name\": \"String\",\n  \"os_name\": \"String\",\n  \"sys_class_name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nreferenceItems\n\n</td><td>\n\nList of reference between two items in the payload. The values of each reference item are populated before identifying a CI using the IRE rules defined on a class.Data type: Array of Objects\n\n```\n\"referenceItems\": [\n  {\n    \"referenced\": \"String\",\n    \"referencedBy\": \"String\",\n    \"referenceField\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nreferenceItems.referenced\n\n</td><td>\n\nThe **internal\\_id** defined for the item being referenced by another item.Data type: String\n\n</td></tr><tr><td>\n\nreferenceItems.referencedBy\n\n</td><td>\n\nThe **internal\\_id** defined for the item that references another item.Data type: String\n\n</td></tr><tr><td>\n\nreferenceItems.referenceField\n\n</td><td>\n\nName of the reference field in the class/table for the **referencedBy** item.Data type: String\n\n</td></tr><tr><td>\n\nrelations\n\n</td><td>\n\nList of relationships between two items defined in the payload.An object in this array can use either of two formats:\n\n-   The object can define a relationship between two top-level items \\(only\\) using **parent** and **child** name-value pairs, with values representing item indexes from the payload **items** array.\n-   The object can define a relationship between any two items, including top-level, related, or lookup items, using **parent\\_id** and **child\\_id** key/value pairs, with values representing **internal\\_id** values defined for those items.\n\nData type: Array of Objects\n\n```\n\"relations\": [\n  {\n    \"child\": Number,\n    \"parent\": Number,\n    \"sys_rel_source_info\": {Object},\n    \"type\": \"String\"\n  }\n]\n```\n\n ```\n\"relations\": [\n  {\n    \"child_id\": \"String\",\n    \"parent_id\": \"String\",\n    \"sys_rel_source_info\": {Object},\n    \"type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelations.child\n\n</td><td>\n\nInteger index of the CI object in the **items** array that represents the child in the relationship.Data type: Number\n\n</td></tr><tr><td>\n\nrelations.child\\_id\n\n</td><td>\n\nThe **internal\\_id** of the child item in the relationship.Data type: String\n\n</td></tr><tr><td>\n\nrelations.parent\n\n</td><td>\n\nInteger index of the CI object in the **items** array that represents the parent in the relationship.Data type: Number\n\n</td></tr><tr><td>\n\nrelations.parent\\_id\n\n</td><td>\n\nThe **internal\\_id** of the parent item in the relationship.Data type: String\n\n</td></tr><tr id=\"input_rel_sys_rel_source_info-row-IRE\"><td>\n\nrelations.sys\\_rel\\_source\\_info\n\n</td><td>\n\nDiscovery source information for the relationship. For non-dependency relationships, this information is in the Relationship Sources \\[sys\\_rel\\_source\\] table. Data type: Object\n\n```\n\"sys_rel_source_info\": { \n  \"source_name\": \"String\", \n  \"source_feed\": \"String\" \n} \n```\n\n</td></tr><tr id=\"input-relations-sys_rel_source_info-source_name-row-IRE\"><td>\n\nrelations.sys\\_rel\\_source\\_info.source\\_name\n\n</td><td>\n\nDiscovery source name. Default: Discovery source passed in the API method parameter.\n\n</td></tr><tr id=\"input-relations-sys_rel_source_info-source_feed-row-IRE\"><td>\n\nrelations.sys\\_rel\\_source\\_info.source\\_feed\n\n</td><td>\n\nAny string that is a sub-discovery/scan within the discovery source. Default: ‘UNKNOWN’ is stored in the source\\_feed column when creating a record in sys\\_rel\\_source table.\n\n</td></tr><tr><td>\n\nrelations.type\n\n</td><td>\n\nType of relationship existing between the parent and child items. This must be a name field value from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|401|Unauthorized. The user credentials are incorrect or have not been passed.|\n|500|Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.|\n\n### Response body parameters \\(JSON or XML\\)\n\n<table><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nList of results produced by the query.Data type: Array\n\n```\n\"result\": [\n  \"additionalCommittedItems\": [Array],\n  \"additionalCommittedRelations\": [Array],\n  \"items\": [Array],\n  \"relations\": [Array]\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems\n\n</td><td>\n\nList of CIs not included in the request body **items** array to insert or update.Data type: Array of Objects\n\n```\n\"additionalCommittedItems\": [\n  {\n    \"className\": \"String\",\n    \"errorCount\": Number,\n    \"identificationAttempts\": [Array],\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloads\": [Array],\n    \"operation\": \"String\",\n    \"sysId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.className\n\n</td><td>\n\nThe sys\\_class\\_name of this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.errorCount\n\n</td><td>\n\nNumber of errors encountered while processing this additional CI.Data type: Number\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.errors\n\n</td><td>\n\nList of errors encountered while processing this additional CI.Data type: Array of Objects\n\n```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.errors.error\n\n</td><td>\n\nType of error encountered while processing this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.errors.message\n\n</td><td>\n\nError message encountered while processing this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts\n\n</td><td>\n\nList of attempts made to identify this additional CI.Data type: Array of Objects\n\n```\n\"identificationAttempts\": [\n  {\n    \"attemptResult\": \"String\",\n    \"attributes\": [Array],\n    \"hybridEntryCiAttributes\": [Array],\n    \"identiferName\": \"String\",\n    \"searchOnTable\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.attemptResult\n\n</td><td>\n\nOutcome of this additional CI identification attempt.Possible values:\n\n-   MATCHED: Identification succeeded. A unique CI was found in the identifier rule table which exactly matched the specified attributes.\n-   MULTI\\_MATCH: Identification failed with an error. Duplicate CIs were found in the identifier rule table when matching against the specified attributes.\n-   NO\\_MATCH: Identification failed. No CI was found in the identifier rule table which matched the specified attributes.\n-   SKIPPED: Identification not attempted. The attributes required for this identifier rule table search were not provided, so the rule was not applied.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.attributes\n\n</td><td>\n\nArray of CI identifier entry attributes used during this additional CI identification attempt.Data type: Array\n\nAttribute names and types depend on the request body data and the identifier in use, such as:\n\n```\n\"attributes\": [\n  \"serial_number\": \"String\",\n  \"serial_number_type\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.hybridEntryCiAttributes\n\n</td><td>\n\nList of CI identifier entry attributes used during this additional CI identification attempt.Data type: Array\n\nAttribute names and types depend on the request body data and the identifier in use, such as:\n\n```\n\"hybridEntryCiAttributes\": [\n  \"name\": \"String\",\n  \"serial_number\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.identifierName\n\n</td><td>\n\nIdentifier rule used for this additional CI identification attempt.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.searchOnTable\n\n</td><td>\n\nName of the table searched for this additional CI identification attempt.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identifierEntrySysId\n\n</td><td>\n\nSys\\_id for the identifier rule used to identify this additional CI.Notable values:\n\n-   Unknown: Identification of this additional CI failed. See **errors** for details.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.inputIndices\n\n</td><td>\n\nList of index values for CIs from the request body **items** array that correspond to this additional CI.Data type: Array of Objects\n\n```\n\"inputIndices\": [\n  {\n    Number\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.mergedPayloads\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this additional CI.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.operation\n\n</td><td>\n\nOperation performed for this additional CI.Possible values:\n\n-   DELETE: An existing CI is removed from the target table.\n-   INSERT: The additional CI is inserted into the target table as a new record.\n-   NO\\_CHANGE: No operation is performed for the additional CI.\n-   UPDATE: An existing CI in the target table is updated.\n-   UPDATE\\_WITH\\_DOWNGRADE: An existing CI in the target table is updated and its class is changed to a more generic class \\(ancestor class\\).\n-   UPDATE\\_WITH\\_SWITCH: An existing CI in the target table is updated and its class is changed to another class which is not an ancestor or descendent class.\n-   UPDATE\\_WITH\\_UPGRADE: An existing CI in the target table is updated and its class is changed to a more specialized class \\(descendent class\\).\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.sysId\n\n</td><td>\n\nSys\\_id found for this additional CI through identification.Notable values: Unknown - Identification of this additional CI failed. See **errors** for details.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.warnings\n\n</td><td>\n\nList of warnings encountered while processing this additional CI.Data type: Array of Objects\n\n```\n\"warnings\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.warnings.error\n\n</td><td>\n\nType of warning encountered while processing this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.warnings.message\n\n</td><td>\n\nWarning message encountered while processing this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations\n\n</td><td>\n\nList of dependent relationship CIs not included in the request body **relations** list to insert or update.Data type: Array of Objects\n\n```\n\"additionalCommittedRelations\": [\n  {\n    \"className\": \"String\",\n    \"operation\": \"String\",\n    \"markers\": [Array],\n    \"inputIndices\": [Array],\n    \"mergedPayloadIds\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.className\n\n</td><td>\n\nThe sys\\_class\\_name of this additional dependent relationship CI.Only supported value:\n\n-   cmdb\\_rel\\_ci: The CI Relationship table.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.errorCount\n\n</td><td>\n\nNumber of errors encountered while processing this additional dependent relationship CI.Data type: Number\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.errors\n\n</td><td>\n\nList of errors encountered while processing this additional dependent relationship CI.Data type: Array of Objects\n\n```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.errors.error\n\n</td><td>\n\nType of error encountered while processing this additional dependent relationship CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.errors.message\n\n</td><td>\n\nError message encountered while processing this additional dependent relationship CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.inputIndices\n\n</td><td>\n\nList of index values for dependent relationship CI objects in the request body **relations** array that correspond to this additional dependent relationship CI.Data type: Array\n\n```\n\"inputIndices\": [\n  Number\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this additional dependent relationship CI.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.operation\n\n</td><td>\n\nOperation performed for this additional dependent relationship CI.Possible values:\n\n-   INSERT: The dependent relationship CI is inserted into the target table as a new record.\n-   INSERT\\_AS\\_INCOMPLETE: The dependent relationship CI had errors and is inserted into the CMDB IRE Incomplete Payloads \\[cmdb\\_ire\\_incomplete\\_payloads\\] table.\n-   INSERT\\_AS\\_PARTIAL: The dependent relationship CI had errors and is inserted into the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table.\n-   NO\\_CHANGE: No operation is performed for the dependent relationship CI.\n-   UPDATE: An existing dependent relationship CI in the target table is updated.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items\n\n</td><td>\n\nList of CIs included in the request body **items** array.Data type: Array of Objects\n\n```\n\"items\": [\n  {\n    \"additionalRelatedItems\": [Array],\n    \"className\": \"String\",\n    \"duplicateLookupIndices\": {Object},\n    \"errorCount\": Number,\n    \"errors\": [Array],\n    \"identificationAttempts\": [Array],\n    \"identifierEntrySysId\": \"String\",\n    \"info\": [Array],\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloadIds\": [Array],\n    \"operation\": \"String\",\n    \"relatedItems\": [Array],\n    \"relatedSysIds\": [Array],\n    \"sysId\": \"String\",\n    \"warnings\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems\n\n</td><td>\n\nList of related CIs \\(table lookup CI\\) from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table.Data type: Array of Objects\n\n```\n\"additionalRelatedItems\": [\n  {\n    \"className\": \"String\",\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloadIds\": [Array],\n    \"sysId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.className\n\n</td><td>\n\nThe sys\\_class\\_name of the related item.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.inputIndices\n\n</td><td>\n\nList of index values for CIs from the request body **items** array that correspond to this related item.Data type: Array\n\n```\n\"inputIndices\": [\n    Number\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this related item.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.sysId\n\n</td><td>\n\nSys\\_id of this related CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.className\n\n</td><td>\n\nSys\\_class\\_name of this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.duplicateLookupIndices\n\n</td><td>\n\nObject containing arrays of index values for **items.lookup** array elements that reference the same related CI.The array name indicates the first element from the request body **items.lookup** array that references a given related CI. Its values are the set of additional elements from the same array that reference the same related CI.\n\nData type: Object\n\nThis example shows a case where the second element in the **items.lookup** array references the same related CI as a later element from that array:\n\n```\n\"duplicateLookupIndices\": [\n  \"2\": [Array]\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.errorCount\n\n</td><td>\n\nNumber of errors encountered while processing this CI.Data type: Number\n\n</td></tr><tr><td>\n\nresult.items.errors\n\n</td><td>\n\nList of errors encountered while processing this CI.Data type: Array of Objects\n\n```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.errors.error\n\n</td><td>\n\nType of error encountered while processing this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.errors.message\n\n</td><td>\n\nError message encountered while processing this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts\n\n</td><td>\n\nList of attempts made to identify this CI.Data type: Array of Objects\n\n```\n\"identificationAttempts\": [\n  {\n    \"attemptResult\": \"String\",\n    \"attributes\": [Array],\n    \"hybridEntryCiAttributes\": [Array],\n    \"identiferName\": \"String\",\n    \"searchOnTable\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.attemptResult\n\n</td><td>\n\nOutcome of this CI identification attempt.Possible values:\n\n-   MATCHED: Identification succeeded. A unique CI was found in the identifier rule table which exactly matched the specified attributes.\n-   MULTI\\_MATCH: Identification failed with an error. Duplicate CIs were found in the identifier rule table when matching against the specified attributes.\n-   NO\\_MATCH: Identification failed. No CI was found in the identifier rule table which matched the specified attributes.\n-   SKIPPED: Identification not attempted. The attributes required for this identifier rule table search were not provided, so the rule was not applied.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.attributes\n\n</td><td>\n\nList of CI identifier entry attributes used during this CI identification attempt.Data type: Array\n\nAttribute names and types depend on the request body data and the identifier in use, such as:\n\n```\n\"attributes\": [\n  \"serial_number\": \"String\",\n  \"serial_number_type\": \"String\",\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.hybridEntryCiAttributes\n\n</td><td>\n\nList of CI identifier entry attributes used during this CI identification attempt.Data type: Array\n\nAttribute names and types depend on the request body data and the identifier in use, such as:\n\n```\n\"hybridEntryCiAttributes\": [\n  \"name\": \"String\",\n  \"serial_number\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.identifierName\n\n</td><td>\n\nIdentifier rule used for this CI identification attempt.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.searchOnTable\n\n</td><td>\n\nName of the table searched for this CI identification attempt.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.identifierEntrySysId\n\n</td><td>\n\nSys\\_id for the identifier rule used to identify this CI.Notable values:\n\n-   Unknown: Identification of this CI failed. For details, see **errors**.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items.info\n\n</td><td id=\"items_info-entry-IRE\">\n\nList of additional information about the processing of the item.Data type: Array of Objects\n\n```\n\"info\": [\n  {\n    \"code\": \"String\",\n    \"message\": \"String\",\n    \"ruleSysId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.info.code\n\n</td><td id=\"items_info_code-entry-IRE\">\n\nReclassification type that was skipped.Possible values:\n\n-   SKIPPED\\_CLASS\\_SWITCH\n-   SKIPPED\\_CLASS\\_DOWNGRADE\n-   SKIPPED\\_CLASS\\_UPGRADE\n\n</td></tr><tr><td>\n\nresult.items.info.message\n\n</td><td id=\"items_info_message-entry-IRE\">\n\nMessage that provides additional insights into the reason for skipping the reclassification.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.info.ruleSysId\n\n</td><td id=\"items_info_ruleSysId-entry-IRE\">\n\nSys\\_id of the reclassification restriction rule that was matched. Applicable only when IRE skips reclassification due to reclassification restriction rule. This value is empty if the reclassification is skipped due to a payload or global flag.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.inputIndices\n\n</td><td>\n\nList of index values for CIs from the request body **items** array that correspond to this CI.Data type: Array of Objects\n\n```\n\"inputIndices\": [\n  {\n    Number\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.items.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this CI.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.operation\n\n</td><td>\n\nOperation performed for this CI.Possible values:\n\n-   DELETE: An existing CI is removed from the target table.\n-   INSERT: The CI is inserted into the target table as a new record.\n-   NO\\_CHANGE: No operation is performed for the CI.\n-   UPDATE: An existing CI in the target table is updated.\n-   UPDATE\\_WITH\\_DOWNGRADE: An existing CI in the target table is updated and its class is changed to a more generic class \\(ancestor class\\).\n-   UPDATE\\_WITH\\_SWITCH: An existing CI in the target table is updated and its class is changed to another class which is not an ancestor or descendent class.\n-   UPDATE\\_WITH\\_UPGRADE: An existing CI in the target table is updated and its class is changed to a more specialized class \\(descendent class\\).\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items.relatedItems\n\n</td><td>\n\nList of related CIs \\(table lookup CI\\) from the request body **items.lookup** array.Data type: Array of Objects\n\n```\n\"relatedItems\": [\n  {\n    \"className\": \"String\",\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloadIds\": [Array],\n    \"sysId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.className\n\n</td><td>\n\nThe sys\\_class\\_name of the related item.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.inputIndices\n\n</td><td>\n\nList of index values for CIs and lookup items from the request body **items** and **items.lookup** arrays that correspond to this related item.Data type: Array of Objects\n\n```\n\"inputIndices\": [\n  {\n    \"mainIndex\": Number,\n    \"subIndex\": Number\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.inputIndices.mainIndex\n\n</td><td>\n\nIndex value from the request body **items** array that corresponds to the CI parent of the related item.Data type: Number\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.inputIndices.subIndex\n\n</td><td>\n\nIndex value from the request body **items.lookup** array that corresponds to the related item.Data type: Number\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for entries in the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged into this CI during processing.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.relatedSysIds\n\n</td><td>\n\nList of sys\\_id values for related items \\(table lookup items\\) from the request body **items.lookup** array.Data type: Array\n\nNotable values:\n\n-   null: No sys\\_id was identified for this related item.\n\n```\n\"relatedSysIds\": [\n    Number,\n    Number\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.sysId\n\n</td><td>\n\nSys\\_id found for this CI through identification.Notable values:\n\n-   Unknown: Identification of this CI failed. See **errors** for details.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items.warnings\n\n</td><td>\n\nList of warnings encountered while processing this CI.Data type: Array of Objects\n\n```\n\"warnings\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.warnings.error\n\n</td><td>\n\nType of warning encountered while processing this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.warnings.message\n\n</td><td>\n\nWarning message encountered while processing this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.logContextId\n\n</td><td>\n\nContext ID reported for this payload.Data type: String\n\n</td></tr><tr><td>\n\nresult.relations\n\n</td><td>\n\nList of dependent relationship CIs from the request body **relations** array.Data type: Array of Objects\n\n```\n\"relations\": [\n  {\n    \"className\": \"String\",\n    \"errorCount\": Number,\n    \"errors\": [Array],\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloadIds\": [Array],\n    \"operation\": \"String\",\n    \"warnings\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.className\n\n</td><td>\n\nThe sys\\_class\\_name of this dependent relationship CI.Only supported value:\n\n-   cmdb\\_rel\\_ci: The CI Relationship table.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.relations.errorCount\n\n</td><td>\n\nNumber of errors encountered while processing this dependent relationship CI.Data type: Number\n\n</td></tr><tr><td>\n\nresult.relations.errors\n\n</td><td>\n\nList of errors encountered while processing this dependent relationship CI.Data type: Array of Objects\n\n```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.errors.error\n\n</td><td>\n\nType of error encountered while processing this dependent relationship CI. Data type: String\n\n</td></tr><tr><td>\n\nresult.relations.errors.message\n\n</td><td>\n\nError message encountered while processing this dependent relationship CI. Data type: String\n\n</td></tr><tr><td>\n\nresult.relations.inputIndices\n\n</td><td>\n\nList of index values for the dependent relationship CI objects in the request body **relations** array that correspond to this dependent relationship CI.Data type: Array\n\n```\n\"inputIndices\": [\n  Number\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.relations.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this dependent relationship CI.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.operation\n\n</td><td>\n\nOperation performed for this dependent relationship CI.Possible values:\n\n-   INSERT: The dependent relationship CI was inserted into the target table as a new record.\n-   INSERT\\_AS\\_INCOMPLETE: The dependent relationship CI had errors and was inserted into the CMDB IRE Incomplete Payloads \\[cmdb\\_ire\\_incomplete\\_payloads\\] table.\n-   INSERT\\_AS\\_PARTIAL: The dependent relationship CI had errors and was inserted into the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table.\n-   NO\\_CHANGE: No operation was performed for the dependent relationship CI.\n-   UPDATE: An existing dependent relationship CI in the target table was updated.\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.relations.warnings\n\n</td><td>\n\nList of warnings encountered while processing this dependent relationship CI.Data type: Array of Objects\n\n```\n\"warnings\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.warnings.error\n\n</td><td>\n\nType of warning encountered while processing this dependent relationship CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.relations.warnings.message\n\n</td><td>\n\nWarning message encountered while processing this dependent relationship CI.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nSubmit a payload containing a Linux server \\(with serial number and network adapter related-item lookups\\) and an IP switch, with an IP Connection dependent relationship between them.\n\n```\ncurl \"https://instance.servicenow.com/api/now/identifyreconcile\" \\\n--request POST \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--user \"username:password\" \\\n--data '{ \\\n  \"items\": [{ \\\n    \"className\": \"cmdb_ci_linux_server\", \\\n    \"values\": { \\\n      \"sys_class_name\": \"cmdb_ci_linux_server\", \\\n      \"name\": \"lnux101\", \\\n      \"host_name\": \"lnux101.servicenow.com\", \\\n      \"ip_address\": \"10.11.12.173\", \\\n      \"os_name\": \"Linux Red Hat\" \\\n    }, \\\n    \"lookup\": [{ \\\n      \"className\": \"cmdb_serial_number\", \\\n      \"values\": { \\\n        \"serial_number\": \"lnux101\", \\\n        \"serial_number_type\": \"uuid\", \\\n        \"valid\": \"true\" \\\n      } \\\n    }, { \\\n      \"className\": \"cmdb_ci_network_adapter\", \\\n      \"values\": { \\\n        \"name\": \"eth0\", \\\n        \"ip_address\": \"10.11.12.173\", \\\n        \"mac_address\": \"00:55:51:21:26:2f\" \\\n      } \\\n    }] \\\n  }, { \\\n    \"className\": \"cmdb_ci_ip_switch\", \\\n    \"values\": { \\\n      \"name\": \"IP-Switch-1\", \\\n      \"serial_number\": \"Switch23587\", \\\n      \"serial_number_type\": \"uuid\" \\\n    } \\\n  }], \\\n  \"relations\": [{ \\\n    \"parent\": 0, \\\n    \"child\": 1, \\\n    \"type\": \"IP Connection::IP Connection\" \\\n  }]\n}'\n```\n\nThe Linux server CI is identified via a Hardware Rule search for its name on the Hardware \\[cmdb\\_ci\\_hardware\\] table and is processed as an update to an existing CI in the Linux Server \\[cmdb\\_ci\\_linux\\_server\\] table. The IP switch is similarly identified via a Hardware Rule search for its name on the Hardware table and updates an existing CI in the IP Switch \\[cmdb\\_ci\\_ip\\_switch\\] table. Finally, the IP Connection dependent relationship between the server and the switch is inserted as a new record in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.\n\n```\n{\n  \"result\": {\n    \"items\": [{\n      \"className\": \"cmdb_ci_linux_server\",\n      \"operation\": \"UPDATE\",\n      \"sysId\": \"539747cac0a801640163e60735fbbf6e\",\n      \"relatedSysIds\": [null, null],\n      \"relatedItems\": [{\n        \"markers\": [],\n        \"inputIndices\": [{\n          \"mainIndex\": 0,\n          \"subIndex\": 0\n        }],\n        \"mergedPayloadIds\": [],\n        \"className\": \"cmdb_serial_number\"\n      }, {\n        \"markers\": [],\n        \"inputIndices\": [{\n          \"mainIndex\": 0,\n          \"subIndex\": 1\n        }],\n        \"mergedPayloadIds\": [],\n        \"className\": \"cmdb_ci_network_adapter\"\n      }],\n      \"additionalRelatedItems\": [],\n      \"identifierEntrySysId\": \"556eb250c3400200d8d4bea192d3ae92\",\n      \"identificationAttempts\": [{\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"NO_MATCH\",\n        \"attributes\": [\"serial_number\", \"serial_number_type\"],\n        \"searchOnTable\": \"cmdb_serial_number\",\n        \"hybridEntryCiAttributes\": []\n      }, {\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"SKIPPED\",\n        \"attributes\": [\"serial_number\"],\n        \"searchOnTable\": \"cmdb_ci_hardware\",\n        \"hybridEntryCiAttributes\": []\n      }, {\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"MATCHED\",\n        \"attributes\": [\"name\"],\n        \"searchOnTable\": \"cmdb_ci_hardware\",\n        \"hybridEntryCiAttributes\": []\n      }],\n      \"markers\": [],\n      \"inputIndices\": [0],\n      \"mergedPayloadIds\": [],\n      \"errorCount\": 0\n    }, {\n      \"className\": \"cmdb_ci_ip_switch\",\n      \"operation\": \"UPDATE\",\n      \"sysId\": \"304481257f701200bee45f19befa915b\",\n      \"identifierEntrySysId\": \"556eb250c3400200d8d4bea192d3ae92\",\n      \"identificationAttempts\": [{\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"SKIPPED\",\n        \"attributes\": [\"serial_number\", \"serial_number_type\"],\n        \"searchOnTable\": \"cmdb_serial_number\",\n        \"hybridEntryCiAttributes\": []\n      }, {\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"NO_MATCH\",\n        \"attributes\": [\"serial_number\"],\n        \"searchOnTable\": \"cmdb_ci_hardware\",\n        \"hybridEntryCiAttributes\": []\n      }, {\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"MATCHED\",\n        \"attributes\": [\"name\"],\n        \"searchOnTable\": \"cmdb_ci_hardware\",\n        \"hybridEntryCiAttributes\": []\n      }],\n      \"markers\": [],\n      \"inputIndices\": [1],\n      \"mergedPayloadIds\": [],\n      \"errorCount\": 0\n    }],\n    \"additionalCommittedItems\": [],\n    \"relations\": [{\n      \"className\": \"cmdb_rel_ci\",\n      \"operation\": \"INSERT\",\n      \"markers\": [],\n      \"inputIndices\": [0],\n      \"mergedPayloadIds\": [],\n      \"errorCount\": 0\n    }],\n    \"additionalCommittedRelations\": []\n  }\n}\n```\n\n## Identification and Reconciliation - POST /now/identifyreconcile/enhanced\n\nInserts or updates configuration items \\(CIs\\) in the CMDB by applying identification and reconciliation rules to the specified payload \\(request body\\). Use this API instead of updating the CMDB directly.\n\nUse the [Identification and Reconciliation - POST /now/identifyreconcile/queryEnhanced](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/c_IdentifyReconcileAPI.md) endpoint to simulate submission of a payload to this endpoint without committing changes to the database.\n\nThis method is similar to the [Identification and Reconciliation - POST /now/identifyreconcile](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/c_IdentifyReconcileAPI.md) method, but adds the following functionality:\n\n-   Partial payloads\n    -   In case of an item having a warning or error, indicates if an item operation is INSERT\\_AS\\_PARTIAL or INSERT\\_INCOMPLETE.\n    -   Returns the sys\\_ids of partial payloads that were merged with existing partial payloads.\n-   Supports payload deduplicate feature.\n-   Generates a summary.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/identifyreconcile/enhanced`\n\nDefault URL: `/api/now/identifyreconcile/enhanced`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\noptions\n\n</td><td>\n\nComma-separated list of name-value pairs representing Enhanced IRE options applied for the request.As an example, to override the default values for the partial payloads, partial commits, deduplicate payloads, and generate summary Enhanced IRE options:\n\n`partial_payloads:false,partial_commits:false,deduplicate_payloads:false,generate_summary:true`\n\n**Note:** By default or if **partial\\_payloads** is set to true, both **partial\\_commits** and **deduplicate\\_payloads** are enabled, even if they are set to false, as those features are essential for partial payloads functionality.\n\nFor more on Enhanced IRE options, see [Identification and Reconciliation engine \\(IRE\\)](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/servicenow-platform/ire.md).\n\nValid values for each name-value pair:\n\n-   true: Enable this Enhanced IRE option.\n-   false: Disable this Enhanced IRE option.\n\nData type: String\n\n</td></tr><tr><td>\n\nsysparm\\_data\\_source\n\n</td><td>\n\nSource of the CI information. This must be one of the choice values defined for the discovery\\_source field of the Configuration Item \\[cmdb\\_ci\\] table.Data type: String\n\nDefault: Insert the API payload into the incomplete payloads table.\n\n</td></tr></tbody>\n</table><table id=\"table_idz_wyn_rlb\" class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nitems\n\n</td><td>\n\nList of CIs to create or update.Data type: Array of Objects\n\n```\n\"items\": [\n  {\n    \"className\": \"String\",\n    \"internal_id\": \"String\",\n    \"lookup\": [Array],\n    \"related\": [Array],\n    \"settings\": {Object},\n    \"sys_object_source_info\": {Object},\n    \"values\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nitems.className\n\n</td><td>\n\nRequired. The sys\\_class\\_name \\(class/table name\\) of the CI to create or update. This value can be any CMDB table, such as cmdb\\_ci\\_linux\\_server or cmdb\\_ci\\_win\\_server.Data type: String\n\n</td></tr><tr><td>\n\nitems.internal\\_id\n\n</td><td>\n\nUnique identifier for this item in this payload. Can be any value, but must be unique within the payload.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup\n\n</td><td>\n\nArray of objects in which each object describes a lookup-based identification record. These records are used to identify the top-level configuration item based on a lookup table that has a reference back to the Configuration Item \\[cmdb\\_ci\\] table.Data type: Array off Objects\n\n```\n\"lookup\": [\n  {\n    \"className\": \"String\",\n    \"internal_id\": \"String\",\n    \"sys_object_source_info\": {Object},\n    \"values\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nitems.lookup.className\n\n</td><td>\n\nRequired. The sys\\_class\\_name or class/table name of the CI to create or update. This value can be any CMDB class/table, such as cmdb\\_serial\\_number or cmdb\\_ci\\_network\\_adapter, or a non-CMDB hierarchy class.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.internal\\_id\n\n</td><td>\n\nUnique identifier for this lookup record in this payload. Can be any value, but must be unique within the payload.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info\n\n</td><td>\n\nObject describing a unique CI identifier for a specified data source. Different sources may have different name-value pairs for the same CI.Data type: Object\n\n```\n\"sys_object_source_info\": {\n  \"source_feed\": \"String\",\n  \"source_name\": \"String\",  \n  \"source_native_key\": \"String\",\n  \"source_recency_timestamp\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info.source\\_feed\n\n</td><td>\n\nName that uniquely identifies the feed sending this CI. Use if the source can have multiple feeds.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info.source\\_name\n\n</td><td>\n\nData source for the CI information. This value must be one of the choice values defined for the discovery\\_source field of the Configuration Item \\[cmdb\\_ci\\] table. Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info.source\\_native\\_key\n\n</td><td>\n\nUnique key/id from the source for the CI. Can be any string that is unique to the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.lookup.sys\\_object\\_source\\_info.source\\_recency\\_timestamp\n\n</td><td>\n\nUTC date and time that the CI was scanned.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nitems.lookup.values\n\n</td><td>\n\nObject describing fields for this lookup item as name/value pairs, where the name is the field name.Data type: Object\n\nField names and types depend on the fields selected by the user, such as:\n\n```\n\"values\": {\n  \"ip_address\": \"String\",\n  \"mac_address\": \"String\",\n  \"serial_number\": \"String\",\n  \"serial_number_type\": \"String\",\n  \"valid\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.related\n\n</td><td>\n\nArray of objects in which each object describes an item record to create or update, based on a related table that has a reference to the top-level CI that is being identified. Rules in the Related Entry \\[cmdb\\_related\\_entry\\] table define what type of records can be in this array.The related table may or may not extend the Configuration Item \\[cmdb\\_ci\\] table. These records are not used to identify the configuration item.\n\nData type: Array of Objects\n\n```\n\"related\": [\n  {\n    \"className\": \"String\",\n    \"internal_id\": \"String\",\n    \"sys_object_source_info\": {Object},\n    \"values\": {Object}\n  }\n]\n```\n\n</td></tr><tr><td>\n\nitems.related.className\n\n</td><td>\n\nRequired. The sys\\_class\\_name or class/table name of the related item to create or update.Data type: String\n\n</td></tr><tr><td>\n\nitems.related.internal\\_id\n\n</td><td>\n\nUnique identifier for this related item in this payload. Can be any value, but must be unique within the payload.Data type: String\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info\n\n</td><td>\n\nObject describing a unique CI identifier for a specified data source. Different sources may have different name-value pairs for the same CI.Data type: Object\n\n```\n\"sys_object_source_info\": {\n  \"source_feed\": \"String\",\n  \"source_name\": \"String\",  \n  \"source_native_key\": \"String\",\n  \"source_recency_timestamp\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info.source\\_feed\n\n</td><td>\n\nName that uniquely identifies the feed sending this related item. Use if the source can have multiple feeds.Data type: String\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info.source\\_name\n\n</td><td>\n\nData source for the related item information. This value must be one of the choice values defined for the discovery\\_source field of the Configuration Item \\[cmdb\\_ci\\] table. Data type: String\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info.source\\_native\\_key\n\n</td><td>\n\nUnique key/id from the source for the related item. Can be any string that is unique to the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.related.sys\\_object\\_source\\_info.source\\_recency\\_timestamp\n\n</td><td>\n\nUTC date and time that the related item was scanned.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nitems.related.values\n\n</td><td>\n\nObject describing fields to create or update for this related item as name/value pairs, where the name is the field name. For a reference field, the value must be the referenced sys\\_id.Data type: Object\n\nField names and types depend on the fields selected by the user, such as:\n\n```\n\"values\": {\n  \"host_name\": \"String\",\n  \"ip_address\": \"String\",\n  \"name\": \"String\",\n  \"os_name\": \"String\",\n  \"sys_class_name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.settings\n\n</td><td>\n\nObject containing parameters defining the types of updates that are permitted.Data type: Object\n\n```\n\"settings\": {\n  \"skipReclassificationRestrictionRules\": Boolean,\n  \"updateWithoutDowngrade\": Boolean,\n  \"updateWithoutSwitch\": Boolean,\n  \"updateWithoutUpgrade\": Boolean\n}\n```\n\n</td></tr><tr><td>\n\nitems.settings.skipReclassificationRestrictionRules\n\n</td><td>\n\nFlag that indicates whether IRE should skip running the Reclassification Restriction rule that matches the class for the payload item.Valid values:\n\n-   true: Skip running the rule.\n-   false: Run the rule.\n\nDefault: false\n\n</td></tr><tr><td>\n\nitems.settings.updateWithoutDowngrade\n\n</td><td>\n\nFlag that indicates whether update and downgrade are both permitted for this CI.Valid values:\n\n-   true: Update the item but downgrade is not permitted.\n-   false: Both item update and downgrade are permitted.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nitems.settings.updateWithoutSwitch\n\n</td><td>\n\nFlag that indicates whether this CI can be updated and its class switched.Valid values:\n\n-   true: Update the item but class switching is not permitted.\n-   false: Both item update and class switching are permitted.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nitems.settings.updateWithoutUpgrade\n\n</td><td>\n\nFlag that indicates whether update and upgrade are both permitted for this CI.Valid values:\n\n-   true: Update the item but upgrade is not permitted.\n-   false: Both item update and upgrade are permitted.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info\n\n</td><td>\n\nObject describing a unique CI identifier.Data type: Object\n\n```\n\"sys_object_source_info\": {\n  \"source_feed\": \"String\",\n  \"source_name\": \"String\",  \n  \"source_native_key\": \"String\",\n  \"source_recency_timestamp\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info.source\\_feed\n\n</td><td>\n\nName that uniquely identifies the feed sending this CI. Use if the source can have multiple feeds.Data type: String\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info.source\\_name\n\n</td><td>\n\nData source for the CI information. This value must be one of the choice values defined for the discovery\\_source field of the Configuration Item \\[cmdb\\_ci\\] table. Data type: String\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info.source\\_native\\_key\n\n</td><td>\n\nUnique key/id from the source for the CI. Can be any string that is unique to the item.Data type: String\n\n</td></tr><tr><td>\n\nitems.sys\\_object\\_source\\_info.source\\_recency\\_timestamp\n\n</td><td>\n\nUTC date and time that the CI was scanned.Data type: String\n\nFormat: YYYY-MM-DD hh:mm:ss\n\n</td></tr><tr><td>\n\nitems.values\n\n</td><td>\n\nObject describing fields to create or update for this CI as name/value pairs, where the name is the field name. For a reference field, the value must be the referenced sys\\_id.Data type: Object\n\nField names and types depend on the fields selected by the user, such as:\n\n```\n\"values\": {\n  \"host_name\": \"String\",\n  \"ip_address\": \"String\",\n  \"name\": \"String\",\n  \"os_name\": \"String\",\n  \"sys_class_name\": \"String\"\n}\n```\n\n</td></tr><tr><td>\n\nreferenceItems\n\n</td><td>\n\nList of reference between two items in the payload. The values of each reference item are populated before identifying a CI using the IRE rules defined on a class.Data type: Array of Objects\n\n```\n\"referenceItems\": [\n  {\n    \"referenced\": \"String\",\n    \"referencedBy\": \"String\",\n    \"referenceField\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nreferenceItems.referenced\n\n</td><td>\n\nThe **internal\\_id** defined for the item being referenced by another item.Data type: String\n\n</td></tr><tr><td>\n\nreferenceItems.referencedBy\n\n</td><td>\n\nThe **internal\\_id** defined for the item that references another item.Data type: String\n\n</td></tr><tr><td>\n\nreferenceItems.referenceField\n\n</td><td>\n\nName of the reference field in the class/table for the **referencedBy** item.Data type: String\n\n</td></tr><tr><td>\n\nrelations\n\n</td><td>\n\nList of relationships between two items defined in the payload.An object in this array can use either of two formats:\n\n-   The object can define a relationship between two top-level items \\(only\\) using **parent** and **child** name-value pairs, with values representing item indexes from the payload **items** array.\n-   The object can define a relationship between any two items, including top-level, related, or lookup items, using **parent\\_id** and **child\\_id** key/value pairs, with values representing **internal\\_id** values defined for those items.\n\nData type: Array of Objects\n\n```\n\"relations\": [\n  {\n    \"child\": Number,\n    \"parent\": Number,\n    \"sys_rel_source_info\": {Object},\n    \"type\": \"String\"\n  }\n]\n```\n\n ```\n\"relations\": [\n  {\n    \"child_id\": \"String\",\n    \"parent_id\": \"String\",\n    \"sys_rel_source_info\": {Object},\n    \"type\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nrelations.child\n\n</td><td>\n\nInteger index of the CI object in the **items** array that represents the child in the relationship.Data type: Number\n\n</td></tr><tr><td>\n\nrelations.child\\_id\n\n</td><td>\n\nThe **internal\\_id** of the child item in the relationship.Data type: String\n\n</td></tr><tr><td>\n\nrelations.parent\n\n</td><td>\n\nInteger index of the CI object in the **items** array that represents the parent in the relationship.Data type: Number\n\n</td></tr><tr><td>\n\nrelations.parent\\_id\n\n</td><td>\n\nThe **internal\\_id** of the parent item in the relationship.Data type: String\n\n</td></tr><tr id=\"input_rel_sys_rel_source_info-row-IRE\"><td>\n\nrelations.sys\\_rel\\_source\\_info\n\n</td><td>\n\nDiscovery source information for the relationship. For non-dependency relationships, this information is in the Relationship Sources \\[sys\\_rel\\_source\\] table. Data type: Object\n\n```\n\"sys_rel_source_info\": { \n  \"source_name\": \"String\", \n  \"source_feed\": \"String\" \n} \n```\n\n</td></tr><tr id=\"input-relations-sys_rel_source_info-source_name-row-IRE\"><td>\n\nrelations.sys\\_rel\\_source\\_info.source\\_name\n\n</td><td>\n\nDiscovery source name. Default: Discovery source passed in the API method parameter.\n\n</td></tr><tr id=\"input-relations-sys_rel_source_info-source_feed-row-IRE\"><td>\n\nrelations.sys\\_rel\\_source\\_info.source\\_feed\n\n</td><td>\n\nAny string that is a sub-discovery/scan within the discovery source. Default: ‘UNKNOWN’ is stored in the source\\_feed column when creating a record in sys\\_rel\\_source table.\n\n</td></tr><tr><td>\n\nrelations.type\n\n</td><td>\n\nType of relationship existing between the parent and child items. This must be a name field value from the CI Relationship Type \\[cmdb\\_rel\\_type\\] table.Data type: String\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Header|Description|\n|------|-----------|\n|Accept|Data format of the response body. Only supports **application/json**.|\n|Content-Type|Data format of the request body. Only supports **application/json**.|\n\n|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table><thead><tr><th>\n\nStatus code\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\n200\n\n</td><td id=\"entry-200-status-code\">\n\nSuccessful. The request was successfully processed.\n\n</td></tr><tr><td>\n\n401\n\n</td><td id=\"entry-401-status-code\">\n\nUnauthorized. The user credentials are incorrect or have not been passed.\n\n</td></tr><tr><td>\n\n500\n\n</td><td>\n\nInternal server error. An unexpected error occurred while processing the request.Error message detail \"Chunk \\[…\\] is not a valid entry\" indicates that the **options** query parameter is not in the correct name-value pair format.\n\nFor example, specifying an **options** parameter of `partial` produces a 500 status code with \"Chunk \\[partial\\] is not a valid entry\" in the message detail.\n\n</td></tr></tbody>\n</table>### Response body parameters \\(JSON or XML\\)\n\n<table id=\"table_mr2_yyn_rlb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nresult\n\n</td><td>\n\nList of results produced by the query.Data type: Array\n\n```\n\"result\": [\n  \"additionalCommittedItems\": [Array],\n  \"additionalCommittedRelations\": [Array],\n  \"items\": [Array],\n  \"relations\": [Array]\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems\n\n</td><td>\n\nList of CIs not included in the request body **items** array to insert or update.Data type: Array of Objects\n\n```\n\"additionalCommittedItems\": [\n  {\n    \"className\": \"String\",\n    \"errorCount\": Number,\n    \"identificationAttempts\": [Array],\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloads\": [Array],\n    \"operation\": \"String\",\n    \"sysId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.className\n\n</td><td>\n\nThe sys\\_class\\_name of this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.errorCount\n\n</td><td>\n\nNumber of errors encountered while processing this additional CI.Data type: Number\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.errors\n\n</td><td>\n\nList of errors encountered while processing this additional CI.Data type: Array of Objects\n\n```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.errors.error\n\n</td><td>\n\nType of error encountered while processing this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.errors.message\n\n</td><td>\n\nError message encountered while processing this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts\n\n</td><td>\n\nList of attempts made to identify this additional CI.Data type: Array of Objects\n\n```\n\"identificationAttempts\": [\n  {\n    \"attemptResult\": \"String\",\n    \"attributes\": [Array],\n    \"hybridEntryCiAttributes\": [Array],\n    \"identiferName\": \"String\",\n    \"searchOnTable\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.attemptResult\n\n</td><td>\n\nOutcome of this additional CI identification attempt.Possible values:\n\n-   MATCHED: Identification succeeded. A unique CI was found in the identifier rule table which exactly matched the specified attributes.\n-   MULTI\\_MATCH: Identification failed with an error. Duplicate CIs were found in the identifier rule table when matching against the specified attributes.\n-   NO\\_MATCH: Identification failed. No CI was found in the identifier rule table which matched the specified attributes.\n-   SKIPPED: Identification not attempted. The attributes required for this identifier rule table search were not provided, so the rule was not applied.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.attributes\n\n</td><td>\n\nArray of CI identifier entry attributes used during this additional CI identification attempt.Data type: Array\n\nAttribute names and types depend on the request body data and the identifier in use, such as:\n\n```\n\"attributes\": [\n  \"serial_number\": \"String\",\n  \"serial_number_type\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.hybridEntryCiAttributes\n\n</td><td>\n\nList of CI identifier entry attributes used during this additional CI identification attempt.Data type: Array\n\nAttribute names and types depend on the request body data and the identifier in use, such as:\n\n```\n\"hybridEntryCiAttributes\": [\n  \"name\": \"String\",\n  \"serial_number\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.identifierName\n\n</td><td>\n\nIdentifier rule used for this additional CI identification attempt.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identificationAttempts.searchOnTable\n\n</td><td>\n\nName of the table searched for this additional CI identification attempt.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.identifierEntrySysId\n\n</td><td>\n\nSys\\_id for the identifier rule used to identify this additional CI.Notable values:\n\n-   Unknown: Identification of this additional CI failed. See **errors** for details.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.inputIndices\n\n</td><td>\n\nList of index values for CIs from the request body **items** array that correspond to this additional CI.Data type: Array of Objects\n\n```\n\"inputIndices\": [\n  {\n    Number\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.mergedPayloads\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this additional CI.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.operation\n\n</td><td>\n\nOperation performed for this additional CI.Possible values:\n\n-   DELETE: An existing CI is removed from the target table.\n-   INSERT: The additional CI is inserted into the target table as a new record.\n-   NO\\_CHANGE: No operation is performed for the additional CI.\n-   UPDATE: An existing CI in the target table is updated.\n-   UPDATE\\_WITH\\_DOWNGRADE: An existing CI in the target table is updated and its class is changed to a more generic class \\(ancestor class\\).\n-   UPDATE\\_WITH\\_SWITCH: An existing CI in the target table is updated and its class is changed to another class which is not an ancestor or descendent class.\n-   UPDATE\\_WITH\\_UPGRADE: An existing CI in the target table is updated and its class is changed to a more specialized class \\(descendent class\\).\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.sysId\n\n</td><td>\n\nSys\\_id found for this additional CI through identification.Notable values: Unknown - Identification of this additional CI failed. See **errors** for details.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.warnings\n\n</td><td>\n\nList of warnings encountered while processing this additional CI.Data type: Array of Objects\n\n```\n\"warnings\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.warnings.error\n\n</td><td>\n\nType of warning encountered while processing this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedItems.warnings.message\n\n</td><td>\n\nWarning message encountered while processing this additional CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations\n\n</td><td>\n\nList of dependent relationship CIs not included in the request body **relations** list to insert or update.Data type: Array of Objects\n\n```\n\"additionalCommittedRelations\": [\n  {\n    \"className\": \"String\",\n    \"operation\": \"String\",\n    \"markers\": [Array],\n    \"inputIndices\": [Array],\n    \"mergedPayloadIds\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.className\n\n</td><td>\n\nThe sys\\_class\\_name of this additional dependent relationship CI.Only supported value:\n\n-   cmdb\\_rel\\_ci: The CI Relationship table.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.errorCount\n\n</td><td>\n\nNumber of errors encountered while processing this additional dependent relationship CI.Data type: Number\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.errors\n\n</td><td>\n\nList of errors encountered while processing this additional dependent relationship CI.Data type: Array of Objects\n\n```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.errors.error\n\n</td><td>\n\nType of error encountered while processing this additional dependent relationship CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.errors.message\n\n</td><td>\n\nError message encountered while processing this additional dependent relationship CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.inputIndices\n\n</td><td>\n\nList of index values for dependent relationship CI objects in the request body **relations** array that correspond to this additional dependent relationship CI.Data type: Array\n\n```\n\"inputIndices\": [\n  Number\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this additional dependent relationship CI.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.additionalCommittedRelations.operation\n\n</td><td>\n\nOperation performed for this additional dependent relationship CI.Possible values:\n\n-   INSERT: The dependent relationship CI is inserted into the target table as a new record.\n-   INSERT\\_AS\\_INCOMPLETE: The dependent relationship CI had errors and is inserted into the CMDB IRE Incomplete Payloads \\[cmdb\\_ire\\_incomplete\\_payloads\\] table.\n-   INSERT\\_AS\\_PARTIAL: The dependent relationship CI had errors and is inserted into the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table.\n-   NO\\_CHANGE: No operation is performed for the dependent relationship CI.\n-   UPDATE: An existing dependent relationship CI in the target table is updated.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items\n\n</td><td>\n\nList of CIs included in the request body **items** array.Data type: Array of Objects\n\n```\n\"items\": [\n  {\n    \"additionalRelatedItems\": [Array],\n    \"className\": \"String\",\n    \"duplicateLookupIndices\": {Object},\n    \"errorCount\": Number,\n    \"errors\": [Array],\n    \"identificationAttempts\": [Array],\n    \"identifierEntrySysId\": \"String\",\n    \"info\": [Array],\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloadIds\": [Array],\n    \"operation\": \"String\",\n    \"relatedItems\": [Array],\n    \"relatedSysIds\": [Array],\n    \"sysId\": \"String\",\n    \"warnings\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems\n\n</td><td>\n\nList of related CIs \\(table lookup CI\\) from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table.Data type: Array of Objects\n\n```\n\"additionalRelatedItems\": [\n  {\n    \"className\": \"String\",\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloadIds\": [Array],\n    \"sysId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.className\n\n</td><td>\n\nThe sys\\_class\\_name of the related item.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.inputIndices\n\n</td><td>\n\nList of index values for CIs from the request body **items** array that correspond to this related item.Data type: Array\n\n```\n\"inputIndices\": [\n    Number\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this related item.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.additionalRelatedItems.sysId\n\n</td><td>\n\nSys\\_id of this related CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.className\n\n</td><td>\n\nSys\\_class\\_name of this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.duplicateLookupIndices\n\n</td><td>\n\nObject containing arrays of index values for **items.lookup** array elements that reference the same related CI.The array name indicates the first element from the request body **items.lookup** array that references a given related CI. Its values are the set of additional elements from the same array that reference the same related CI.\n\nData type: Object\n\nThis example shows a case where the second element in the **items.lookup** array references the same related CI as a later element from that array:\n\n```\n\"duplicateLookupIndices\": [\n  \"2\": [Array]\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.errorCount\n\n</td><td>\n\nNumber of errors encountered while processing this CI.Data type: Number\n\n</td></tr><tr><td>\n\nresult.items.errors\n\n</td><td>\n\nList of errors encountered while processing this CI.Data type: Array of Objects\n\n```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.errors.error\n\n</td><td>\n\nType of error encountered while processing this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.errors.message\n\n</td><td>\n\nError message encountered while processing this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts\n\n</td><td>\n\nList of attempts made to identify this CI.Data type: Array of Objects\n\n```\n\"identificationAttempts\": [\n  {\n    \"attemptResult\": \"String\",\n    \"attributes\": [Array],\n    \"hybridEntryCiAttributes\": [Array],\n    \"identiferName\": \"String\",\n    \"searchOnTable\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.attemptResult\n\n</td><td>\n\nOutcome of this CI identification attempt.Possible values:\n\n-   MATCHED: Identification succeeded. A unique CI was found in the identifier rule table which exactly matched the specified attributes.\n-   MULTI\\_MATCH: Identification failed with an error. Duplicate CIs were found in the identifier rule table when matching against the specified attributes.\n-   NO\\_MATCH: Identification failed. No CI was found in the identifier rule table which matched the specified attributes.\n-   SKIPPED: Identification not attempted. The attributes required for this identifier rule table search were not provided, so the rule was not applied.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.attributes\n\n</td><td>\n\nList of CI identifier entry attributes used during this CI identification attempt.Data type: Array\n\nAttribute names and types depend on the request body data and the identifier in use, such as:\n\n```\n\"attributes\": [\n  \"serial_number\": \"String\",\n  \"serial_number_type\": \"String\",\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.hybridEntryCiAttributes\n\n</td><td>\n\nList of CI identifier entry attributes used during this CI identification attempt.Data type: Array\n\nAttribute names and types depend on the request body data and the identifier in use, such as:\n\n```\n\"hybridEntryCiAttributes\": [\n  \"name\": \"String\",\n  \"serial_number\": \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.identifierName\n\n</td><td>\n\nIdentifier rule used for this CI identification attempt.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.identificationAttempts.searchOnTable\n\n</td><td>\n\nName of the table searched for this CI identification attempt.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.identifierEntrySysId\n\n</td><td>\n\nSys\\_id for the identifier rule used to identify this CI.Notable values:\n\n-   Unknown: Identification of this CI failed. For details, see **errors**.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items.info\n\n</td><td id=\"items_info-entry-IRE\">\n\nList of additional information about the processing of the item.Data type: Array of Objects\n\n```\n\"info\": [\n  {\n    \"code\": \"String\",\n    \"message\": \"String\",\n    \"ruleSysId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.info.code\n\n</td><td id=\"items_info_code-entry-IRE\">\n\nReclassification type that was skipped.Possible values:\n\n-   SKIPPED\\_CLASS\\_SWITCH\n-   SKIPPED\\_CLASS\\_DOWNGRADE\n-   SKIPPED\\_CLASS\\_UPGRADE\n\n</td></tr><tr><td>\n\nresult.items.info.message\n\n</td><td id=\"items_info_message-entry-IRE\">\n\nMessage that provides additional insights into the reason for skipping the reclassification.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.info.ruleSysId\n\n</td><td id=\"items_info_ruleSysId-entry-IRE\">\n\nSys\\_id of the reclassification restriction rule that was matched. Applicable only when IRE skips reclassification due to reclassification restriction rule. This value is empty if the reclassification is skipped due to a payload or global flag.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.inputIndices\n\n</td><td>\n\nList of index values for CIs from the request body **items** array that correspond to this CI.Data type: Array of Objects\n\n```\n\"inputIndices\": [\n  {\n    Number\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.items.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this CI.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.operation\n\n</td><td>\n\nOperation performed for this CI.Possible values:\n\n-   DELETE: An existing CI is removed from the target table.\n-   INSERT: The CI is inserted into the target table as a new record.\n-   NO\\_CHANGE: No operation is performed for the CI.\n-   UPDATE: An existing CI in the target table is updated.\n-   UPDATE\\_WITH\\_DOWNGRADE: An existing CI in the target table is updated and its class is changed to a more generic class \\(ancestor class\\).\n-   UPDATE\\_WITH\\_SWITCH: An existing CI in the target table is updated and its class is changed to another class which is not an ancestor or descendent class.\n-   UPDATE\\_WITH\\_UPGRADE: An existing CI in the target table is updated and its class is changed to a more specialized class \\(descendent class\\).\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items.relatedItems\n\n</td><td>\n\nList of related CIs \\(table lookup CI\\) from the request body **items.lookup** array.Data type: Array of Objects\n\n```\n\"relatedItems\": [\n  {\n    \"className\": \"String\",\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloadIds\": [Array],\n    \"sysId\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.className\n\n</td><td>\n\nThe sys\\_class\\_name of the related item.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.inputIndices\n\n</td><td>\n\nList of index values for CIs and lookup items from the request body **items** and **items.lookup** arrays that correspond to this related item.Data type: Array of Objects\n\n```\n\"inputIndices\": [\n  {\n    \"mainIndex\": Number,\n    \"subIndex\": Number\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.inputIndices.mainIndex\n\n</td><td>\n\nIndex value from the request body **items** array that corresponds to the CI parent of the related item.Data type: Number\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.inputIndices.subIndex\n\n</td><td>\n\nIndex value from the request body **items.lookup** array that corresponds to the related item.Data type: Number\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.items.relatedItems.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for entries in the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged into this CI during processing.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.relatedSysIds\n\n</td><td>\n\nList of sys\\_id values for related items \\(table lookup items\\) from the request body **items.lookup** array.Data type: Array\n\nNotable values:\n\n-   null: No sys\\_id was identified for this related item.\n\n```\n\"relatedSysIds\": [\n    Number,\n    Number\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.sysId\n\n</td><td>\n\nSys\\_id found for this CI through identification.Notable values:\n\n-   Unknown: Identification of this CI failed. See **errors** for details.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.items.warnings\n\n</td><td>\n\nList of warnings encountered while processing this CI.Data type: Array of Objects\n\n```\n\"warnings\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.items.warnings.error\n\n</td><td>\n\nType of warning encountered while processing this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.items.warnings.message\n\n</td><td>\n\nWarning message encountered while processing this CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.logContextId\n\n</td><td>\n\nContext ID reported for this payload.Data type: String\n\n</td></tr><tr><td>\n\nresult.relations\n\n</td><td>\n\nList of dependent relationship CIs from the request body **relations** array.Data type: Array of Objects\n\n```\n\"relations\": [\n  {\n    \"className\": \"String\",\n    \"errorCount\": Number,\n    \"errors\": [Array],\n    \"inputIndices\": [Array],\n    \"markers\": [Array],\n    \"mergedPayloadIds\": [Array],\n    \"operation\": \"String\",\n    \"warnings\": [Array]\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.className\n\n</td><td>\n\nThe sys\\_class\\_name of this dependent relationship CI.Only supported value:\n\n-   cmdb\\_rel\\_ci: The CI Relationship table.\n\nData type: String\n\n</td></tr><tr><td>\n\nresult.relations.errorCount\n\n</td><td>\n\nNumber of errors encountered while processing this dependent relationship CI.Data type: Number\n\n</td></tr><tr><td>\n\nresult.relations.errors\n\n</td><td>\n\nList of errors encountered while processing this dependent relationship CI.Data type: Array of Objects\n\n```\n\"errors\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.errors.error\n\n</td><td>\n\nType of error encountered while processing this dependent relationship CI. Data type: String\n\n</td></tr><tr><td>\n\nresult.relations.errors.message\n\n</td><td>\n\nError message encountered while processing this dependent relationship CI. Data type: String\n\n</td></tr><tr><td>\n\nresult.relations.inputIndices\n\n</td><td>\n\nList of index values for the dependent relationship CI objects in the request body **relations** array that correspond to this dependent relationship CI.Data type: Array\n\n```\n\"inputIndices\": [\n  Number\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.markers\n\n</td><td>\n\nList of marker values for internal use.Data type: Array\n\n```\n\"markers\": []\n```\n\n</td></tr><tr><td>\n\nresult.relations.mergedPayloadIds\n\n</td><td>\n\nList of sys\\_id values for partial payloads from the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table that were merged during processing of this dependent relationship CI.Data type: Array\n\n```\n\"mergedPayloadIds\": [\n  \"String\"\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.operation\n\n</td><td>\n\nOperation performed for this dependent relationship CI.Possible values:\n\n-   INSERT: The dependent relationship CI was inserted into the target table as a new record.\n-   INSERT\\_AS\\_INCOMPLETE: The dependent relationship CI had errors and was inserted into the CMDB IRE Incomplete Payloads \\[cmdb\\_ire\\_incomplete\\_payloads\\] table.\n-   INSERT\\_AS\\_PARTIAL: The dependent relationship CI had errors and was inserted into the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table.\n-   NO\\_CHANGE: No operation was performed for the dependent relationship CI.\n-   UPDATE: An existing dependent relationship CI in the target table was updated.\n\n Data type: String\n\n</td></tr><tr><td>\n\nresult.relations.warnings\n\n</td><td>\n\nList of warnings encountered while processing this dependent relationship CI.Data type: Array of Objects\n\n```\n\"warnings\": [\n  {\n    \"error\": \"String\",\n    \"message\": \"String\"\n  }\n]\n```\n\n</td></tr><tr><td>\n\nresult.relations.warnings.error\n\n</td><td>\n\nType of warning encountered while processing this dependent relationship CI.Data type: String\n\n</td></tr><tr><td>\n\nresult.relations.warnings.message\n\n</td><td>\n\nWarning message encountered while processing this dependent relationship CI.Data type: String\n\n</td></tr></tbody>\n</table>### cURL request\n\nSubmit a partial payload for a computer CI.\n\n```\ncurl \"https://instance.servicenow.com/api/now/identifyreconcile/enhanced\" \\\n--request POST \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--user \"username\":\"password\" \\\n--data '{ \\\n  \"items\" : [ \\\n    { \\\n      \"className\" : \"cmdb_ci_computer\", \\\n      \"sys_object_source_info\" : { \\\n        \"source_name\" : \"ServiceNow\", \\\n        \"source_native_key\" : \"ncomputer3367\" \\\n      }, \\\n      \"values\" : { \\\n        \"cpu_core_count\" : \"6\", \\\n        \"ram\" : \"8192\", \\\n        \"manufacturer\" : \"DELL\", \\\n        \"company\" : \"My Company\" \\\n      } \\\n    } \\\n  ] \\\n}'\n```\n\nThe response shows that the payload has been inserted into the CMDB IRE Partial Payloads \\[cmdb\\_ire\\_partial\\_payloads\\] table.\n\n```\n{\n  \"result\": {\n    \"items\": [{\n      \"className\": \"cmdb_ci_computer\",\n      \"operation\": \"INSERT_AS_PARTIAL\",\n      \"sysId\": \"Unknown\",\n      \"partialSysIds\": [\"1aec79151bb45010593876a61a4bcb28\"],\n      \"identifierEntrySysId\": \"Unknown\",\n      \"errors\": [],\n      \"warnings\": [{\n        \"error\": \"MISSING_MATCHING_ATTRIBUTES\",\n        \"message\": \"In payload missing minimum set of input values for criterion (matching) attributes from identify rule for table [cmdb_ci_hardware]. Add these input values in payload item '{\\\"className\\\":\\\"cmdb_ci_computer\\\",\\\"values\\\":{\\\"discovery_source\\\":\\\"ServiceNow\\\",\\\"company\\\":\\\"My Company\\\",\\\"cpu_core_count\\\":\\\"6\\\",\\\"ram\\\":\\\"8192\\\",\\\"manufacturer\\\":\\\"DELL\\\"},\\\"sys_object_source_info\\\":{\\\"source_name\\\":\\\"ServiceNow\\\",\\\"source_native_key\\\":\\\"ncomputer3367\\\"},\\\"settings\\\":{},\\\"sys_ire_info\\\":{\\\"ire_received_time\\\":\\\"2020-05-14 20:14:51\\\"}}'\"\n      }],\n      \"identificationAttempts\": [{\n        \"info\": \"sys_object_source NO_MATCH\",\n        \"identifierName\": \"\",\n        \"attemptResult\": \"NO_MATCH\",\n        \"attributes\": [],\n        \"hybridEntryCiAttributes\": []\n      }, {\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"SKIPPED\",\n        \"attributes\": [\"serial_number\", \"serial_number_type\"],\n        \"searchOnTable\": \"cmdb_serial_number\",\n        \"hybridEntryCiAttributes\": []\n      }, {\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"SKIPPED\",\n        \"attributes\": [\"serial_number\"],\n        \"searchOnTable\": \"cmdb_ci_hardware\",\n        \"hybridEntryCiAttributes\": []\n      }, {\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"SKIPPED\",\n        \"attributes\": [\"name\"],\n        \"searchOnTable\": \"cmdb_ci_hardware\",\n        \"hybridEntryCiAttributes\": []\n      }, {\n        \"identifierName\": \"Hardware Rule\",\n        \"attemptResult\": \"SKIPPED\",\n        \"attributes\": [\"mac_address\", \"name\"],\n        \"searchOnTable\": \"cmdb_ci_network_adapter\",\n        \"hybridEntryCiAttributes\": []\n      }],\n      \"errorCount\": 0,\n      \"markers\": [],\n      \"warningCount\": 1,\n      \"mergedPayloadIds\": [\"7ddcb9551bb45010593876a61a4bcb08\"],\n      \"inputIndices\": [0]\n    }],\n    \"additionalCommittedItems\": [],\n    \"relations\": [],\n    \"additionalCommittedRelations\": []\n  }\n}\n```\n\nSubmit a second partial payload that completes the description of the computer CI, with the summary generation Enhanced IRE option enabled.\n\n```\ncurl \"https://instance.servicenow.com/api/now/identifyreconcile/enhanced?options=generate_summary:true\" \\\n--request POST \\\n--header \"Accept: application/json\" \\\n--header \"Content-Type: application/json\" \\\n--user \"username\":\"password\" \\\n--data '{ \\\n}'\n```\n\nThe response shows that the computer CI is inserted, and displays a summary of operations performed.\n\n```\n{\n  \"result\": {\n    \"relations\": [],\n    \"hasError\": false,\n    \"additionalCommittedItems\": [],\n    \"hasWarning\": false,\n    \"items\": [\n      {\n        \"relatedSysIds\": [\n          \"735c79151bb45010593876a61a4bcb67\"\n        ],\n        \"identifierEntrySysId\": \"Unknown\",\n        \"sysId\": \"ff5c79151bb45010593876a61a4bcb64\",\n        \"errorCount\": 0,\n        \"markers\": [],\n        \"className\": \"cmdb_ci_computer\",\n        \"inputIndices\": [\n          0\n        ],\n        \"operation\": \"INSERT\",\n        \"relatedItems\": [\n          {\n            \"operation\": \"INSERT\",\n            \"warningCount\": 0,\n            \"errors\": [],\n            \"sysId\": \"735c79151bb45010593876a61a4bcb67\",\n            \"className\": \"cmdb_ci_network_adapter\",\n            \"errorCount\": 0,\n            \"markers\": [],\n            \"inputIndices\": [\n              {\n                \"subIndex\": 0,\n                \"mainIndex\": 0\n              }\n            ],\n            \"mergedPayloadIds\": []\n          }\n        ],\n        \"mergedPayloadIds\": [\n          \"fe4c39151bb45010593876a61a4bcbd3\"\n        ],\n        \"identificationAttempts\": [\n          {\n            \"info\": \"sys_objec
[...]
